Merge quagga from Debian unstable for 22.04

Bug #1946893 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
quagga (Ubuntu)
Undecided
Bryce Harrington

Bug Description

Upstream: 1.2.4
Debian: 1.2.4-4
Ubuntu: 1.2.4-4ubuntu2

Debian typically updates quagga every 3 months on average, but it was last updated 19.08 and looks overdue. Check back in on this monthly.

No upstream release expected for quagga this cycle, based on upstream's historical release frequency.

### New Debian Changes ###

quagga (1.2.4-4) unstable; urgency=medium

  * Fix build depends (Closes: #932976)

 -- Brett Parker <email address hidden> Fri, 02 Aug 2019 08:36:29 +0100

quagga (1.2.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Brett Parker ]
  * d/control: remove build dep on libpcre3-dev (Closes: #920310)

 -- Brett Parker <email address hidden> Sat, 26 Jan 2019 10:32:12 +0000

quagga (1.2.4-2) unstable; urgency=low

  * Correct previous changelog entry for CVE numbers
  * Re-enable building of watchquagga
  * Re-instate sysvinit scripts (Closes: #849011, #865874)

 -- Brett Parker <email address hidden> Sat, 31 Mar 2018 14:36:08 +0100

quagga (1.2.4-1) unstable; urgency=medium

  * New maintainer (Closes: #884919)
  * New upstream release (Closes: #890563)
    - Fixes CVE-2018-5378
    - Fixes CVE-2018-5379
    - Fixes CVE-2018-5380
    - Fixes CVE-2018-5381

 -- Brett Parker <email address hidden> Sat, 17 Mar 2018 15:33:00 +0000

quagga (1.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #879474, #857187).
  * Rework patches to apply against new upstream version.
  * Change zebra daemon GID to allow writing to /run/quagga (Closes: #880522).
  * Change group permissions on Quagga.conf (Closes: #847106).
  * Add missing build-dep on libc-ares-dev.
  * Add patch for documentation fixes (Closes: #879971).

 -- Scott Leggett <email address hidden> Sun, 05 Nov 2017 22:11:44 +1100

quagga (1.1.1-3) unstable; urgency=medium

  * Fix upgrade file conflict with old quagga packages (Closes: #859581).

 -- Scott Leggett <email address hidden> Wed, 05 Apr 2017 21:41:14 +1000

quagga (1.1.1-2) unstable; urgency=medium

  * Remove libquagga0 and libquagga-dev binary packages (Closes: #856936).
    - Move shared objects into quagga-core, as they are currently intended
      by upstream to be private.
    - Avoid shipping headers and static libraries at all.
    - Upstream plans to ship with a stable API/ABI in future, and these
      changes will be reviewed then.

 -- Scott Leggett <email address hidden> Sun, 26 Mar 2017 23:04:32 +1100

quagga (1.1.1-1) unstable; urgency=low

  * SECURITY:
    - New upstream bugfix release, fixes CVE-2017-5495 (Closes: #852454).
  * Remove patch disabling debug print statements; fixed upstream.
  * Update libquagga0.symbols for libzebra SONAME bump.

 -- Scott Leggett <email address hidden> Fri, 27 Jan 2017 10:48:50 +1100

quagga (1.1.0-3) unstable; urgency=low

  * Update .service file patch (Closes: #849953).

 -- Scott Leggett <email address hidden> Tue, 03 Jan 2017 22:07:12 +0800

quagga (1.1.0-2) unstable; urgency=low

  * Fix autopkgtests.
  * Check for existing dpkg-statoverride on /etc/quagga (Closes: #847355).

 -- Scott Leggett <email address hidden> Fri, 09 Dec 2016 22:56:55 +1100

quagga (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #774760, #516226, #830515)
  * Import packaging from the last debian release 1.0.20160315-3.
  * Remove dump_fix.patch applied upstream.
  * Remove patch which is no longer relevant.
  * Remove patch for CVE-2016-1245 fixed upstream.
  * Rely on automatic -dbgsym package rather than deprecated -dbg.
  * Remove deprecated XS-testsuite header in debian/control.
  * Remove template comment from debian/watch.
  * Add patch to fix spelling and grammar errors.
  * Register quagga-doc with doc-base.
  * Add patch to fix ospfclient(8) manpage numbering.
  * Added patch to avoid debug print statements on vtysh startup.

### Old Ubuntu Delta ###

quagga (1.2.4-4ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <email address hidden> Thu, 07 Oct 2021 12:23:27 +0200

quagga (1.2.4-4ubuntu1) groovy; urgency=medium

  * d/p/0011-fix-gcc10-FTBFS.patch: fix packed attribute for FTBFS with gcc-10
  * d/rules: set -fcommon to avoid various FTFBFS issues by misdefined
    variables

 -- Christian Ehrhardt <email address hidden> Thu, 01 Oct 2020 12:44:41 +0200

quagga (1.2.4-4build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <email address hidden> Thu, 05 Sep 2019 11:07:56 +0000

Bryce Harrington (bryce)
description: updated
Changed in quagga (Ubuntu):
milestone: none → ubuntu-21.12
assignee: nobody → Bryce Harrington (bryce)
Revision history for this message
Bryce Harrington (bryce) wrote :

[Nothing to merge yet]

description: updated
Changed in quagga (Ubuntu):
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers